import { Visualizer } from '../../..';
import { IConfigurationFilter, IScene, ISceneConfiguration, ISceneConfigurationEntity } from '../../EventSystem/EventTypes';
import { Core } from '@byondrnd/byond-web-lib';
declare type TLocation = {
    index: number;
    experienceId: string;
    id: string;
    organization: string;
    catalog: string;
    image: string;
    sceneConfigurations: ISceneConfiguration;
};
export declare class SceneMetadataManager {
    visualizer: Visualizer;
    sceneConfigurations: Map<string, ISceneConfigurationEntity>;
    metaData?: Core.Metadata.ExperienceMetadata;
    private sceneFiltersChecked;
    private sceneFilters?;
    constructor(visualizer: Visualizer);
    init(metaData: Core.Metadata.ExperienceMetadata): void;
    initSceneFilters(): void;
    getSceneFilters: () => ({
        name?: string;
        customFieldName?: string;
        operator?: "not";
        options?: any;
    } & {
        name: string;
        options: any;
    })[];
    getSceneFiltersChecked: () => ({
        name?: string;
        customFieldName?: string;
        operator?: "not";
        options?: any;
    } & {
        name: string;
        options: any;
    })[];
    setSceneFilterChecked(filtersChecked: IConfigurationFilter[]): void;
    private getMetaData;
    getLocation(sceneId?: string): TLocation;
    getScene(location: TLocation): IScene;
    getApiEndpoint: () => any;
    getApiToken: () => any;
    private getEmail;
    private getPassword;
    getCatalogProps(sceneId: string): {
        experienceId: string;
        apiEndoint: any;
        apiToken: any;
        email: any;
        password: any;
        organization: string;
        catalog: string;
    };
    getSceneTitle: (sceneId: string) => string;
    getSceneSubtitle: (sceneId: string) => string;
    getMaxFaceSize: (sceneId: string) => number;
    getSceneList(): ({
        experienceId?: string;
        sceneId?: string;
        title?: string;
        subtitle?: string;
        image?: string;
        filters?: ({
            name?: string;
            customFieldName?: string;
            operator?: "not";
            options?: any;
        } & {
            name: string;
            options: any;
        })[];
    } & {
        image: string;
        experienceId: string;
        sceneId: string;
    })[];
    resetSceneConfigurationLabel(): void;
    getSceneConfiguration(sceneId: string): ISceneConfigurationEntity;
}
export {};
